﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CalculationWorks.FreeEdition.BusinessModel;

namespace BcfSampleConsole {
    public class SumFunction : BcfFunctionBase<decimal?> {
        [BcfMandatory]
        public decimal[] Values { get; set; }
        public override decimal? Compute() {
            if (Values == null || Values.Length == 0) return null;
            return Values.Sum();
        }
    }
}
